Subject: Re: Print last time and committer a file was touched by for a whole repo

From: Eric Wong <[email-masked]>
Date: Thu, 1 Jul 2010 14:40:36 -0700

Jonathan Nieder <[email-masked]> wrote:
> Hi Tim,
> 
> Tim Visher wrote:
> 
> > I need to get a listing of the entire contents of my current repo (as
> > in, I don't need deleted files or anything like that, just the current
> > snapshot) with the time the file was committed and who committed it.
> 
> You might be able to adapt Eric’s set-file-times script from [1].
> 
> The set-file-times script was designed to produce consistent
> Last-Modified headers when serving static content from a cluster of
> HTTP servers.  It does not do the right thing for merges (it is
> missing at least ‘-c’), though it will at least produce consistent
> results in that case.  See the wiki page for details.

Yes, "git log -c" is more correct, thanks.

I've brought http://yhbt.net/git-set-file-times back up and updated it.
(I changed servers for yhbt.net around 1.5 years ago and broke
a bunch of links I forgot existed).

Since the rsync developers distribute an outdated (and missing
disclaimer) version of this, perhaps we should just include this in the
contrib/ section of git.git...

-- 
Eric Wong